com.fasterxml.jackson.databind.util

## Class ContainerBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ContainerBuilder

-     public final class ContainerBuilder
      extends Object

  Helper class used for constructing "untyped" `List`, `Map` and `Object[]` values.
  Since:
    2.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerBuilder(int bufSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object value)`
    `int` | `bufferLength()`
    `boolean` | `canReuse()`
    `Object[]` | `finishArray(int prevStart)`
    `<T> Object[]` | `finishArray(int prevStart, Class<T> elemType)`
    `List<Object>` | `finishList(int prevStart)`
    `Map<String,Object>` | `finishMap(int prevStart)`
    `void` | `put(String key, Object value)`
    `int` | `start()`
    `int` | `startList(Object value)`
    `int` | `startMap(String key, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerBuilder

          public ContainerBuilder(int bufSize)

  - ### Method Detail

    - #### canReuse

          public boolean canReuse()

    - #### bufferLength

          public int bufferLength()

    - #### start

          public int start()

    - #### startList

          public int startList(Object value)

    - #### startMap

          public int startMap(String key,
                     Object value)

    - #### add

          public void add(Object value)

    - #### put

          public void put(String key,
                 Object value)

    - #### finishList

          public List<Object> finishList(int prevStart)

    - #### finishArray

          public Object[] finishArray(int prevStart)

    - #### finishArray

          public <T> Object[] finishArray(int prevStart,
                                 Class<T> elemType)

    - #### finishMap

          public Map<String,Object> finishMap(int prevStart)

Copyright © 2014-2015 FasterXML. All Rights Reserved.